# attributesEqual

compares attributes with the of one type instance

          typedef void* TypeInstanceID;
    typedef void* TypeAttributesInstanceID;

    	void attributesEqual
    	TypeInstanceID instance
    	TypeAttributesInstanceID attributes

## Arguments

`instance`

  The attributes of this type object are compared with the second parameter `attributes`

`attributes`

  These attributes are compared with the attributes of the `instance`.

## Description

The `attributesEqual` function compares the attributes of `instance` with the `attributes`.

An example for an datatype with attributes is the framebuffer type. The resolution is an attribute of the type. There are also other attributes thinkable like colormodel (RGB, BGR, YUV) or the memory layout of the pixels. It must be possible to change the attributes without changing the abstract value of the type instance

This function is optional. Types with attributes must also provide the `convertType` function.

## Return Value

The funtion returns 1 if the attributes are equal and 0 in the other cases.